Skip to content

Work Entitlement

Request

Method: POST

URL: https://{{environment}}.ridx.io/vevo/v1/work-entitlement

Headers

Header Value
token {{access_token}}
Content-Type application/json

Use Visa information to verify the Australian working entitlement for an individual.

Email support@rapidid.com to request access to this check

Request body with Passport Number and Passport Country:

Property Type Description
GivenName String First/given name of person being checked
FamilyName String Family name of person being checked
DateOfBirth String Birth date of person being checked, must be in format YYYY-MM-DD
PassportNumber String Document number as is appears on the persons passport
PassportCountry String Country code of the issuing country as it appears on passport, this will be in a ISO 3166-1 alpha-3 format

The full name of the person being checked (GivenName, FamilyName fields) must be entered in the same way as the name appears on the passport.

Request body with Immicard Number:

Property Type Description
GivenName String First/given name of person being checked
FamilyName String Family name of person being checked
DateOfBirth String Birth date of person being checked, must be in format YYYY-MM-DD
ImmicardNumber String Document number as is appears on the persons immicard

Important Response Data

Property Type Description
request Object Data points used for VEVO search
request.given_names String First and middle names used for VEVO search
request.family_name String Last name used for VEVO search
visa Object Details of persons visa
visa.class String Visa class e.g WA
visa.subclass String Visa subclass code e.g "010"
visa.grant_date String ISO 8601 date of date visa was granted
visa.expiry_date String ISO 8601 date the visa expires
entitlement Object Visa entitlements
entitlement.status String Signifies if the person has current working rights in Australia, will be either NIL, LIMITED, or UNLIMITED
entitlement.summary String Description of current working rights, provided by the department of Home Affairs, may vary on visa class or subclass
entitlement.conditions Array An array of objects containing individual conditions on the persons working rights
entitlement.conditions[].code String Entitlement code
entitlement.conditions[].html String Full wording of entitlement condition
rapidID String Link to the generated PDF report

Example Requests

{
  "GivenName": "John Nathan",
  "FamilyName": "Smith",
  "DateOfBirth": "1987-01-01",
  "PassportNumber": "AB123465",
  "PassportCountry": "NZL"
}
{
  "GivenName": "Jason Creed",
  "FamilyName": "Samson",
  "DateOfBirth": "1995-04-01",
  "PassportNumber": "PA2222222",
  "PassportCountry": "SGP"
}
{
  "GivenName": "Ryan Larry",
  "FamilyName": "Lewis",
  "DateOfBirth": "1975-01-01",
  "PassportNumber": "PA6666666",
  "PassportCountry": "IRL"
}
{
  "GivenName": "Robert Charles",
  "FamilyName": "Wilson",
  "DateOfBirth": "1980-08-01",
  "PassportNumber": "PA4444444",
  "PassportCountry": "MCO"
}
{
  "GivenName": "Chris Phillip",
  "FamilyName": "Gordon",
  "DateOfBirth": "1985-12-01",
  "ImmicardNumber": "IMM222222"
}
{
  "GivenName": "",
  "FamilyName": "Smith",
  "DateOfBirth": "1987-01-01",
  "PassportNumber": "AB123465",
  "PassportCountry": "NZL"
}
{
  "GivenName": "John",
  "FamilyName": "Samuel",
  "DateOfBirth": "1987-01-01",
  "PassportNumber": "AB123465",
  "PassportCountry": "NZL"
}

Example Responses

Status: 200 OK

{
  "request": {
    "given_names": "JOHN",
    "family_name": "SMITH"
  },
  "visa": {
    "class": "WA",
    "subclass": "010",
    "grant_date": "2010-08-02",
    "expiry_date": ""
  },
  "entitlement": {
    "status": "LIMITED",
    "summary": "The above-named has limited work rights in Australia.",
    "conditions": [
      {
        "code": "NGT124",
        "html": "<p>This person <b>must not</b> work at night.</p>"
      }
    ]
  },
  "rapidID": "VEVOxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Status: 200 OK

{
  "request": {
    "given_names": "JASON CREED",
    "family_name": "SAMSON"
  },
  "visa": {
    "class": "TU",
    "subclass": "500",
    "grant_date": "2022-01-01",
    "expiry_date": ""
  },
  "entitlement": {
    "status": "LIMITED",
    "summary": "The above named can work in Australia under the following conditions until the visa cease date. If you wish to employ the above named their work rights must be checked after the visa cease date.",
    "conditions": [
      {
        "code": "8104",
        "html": "<p>This person <b>must not</b> work more than 40 hours a fortnight.</p>"
      },
      {
        "code": "8105",
        "html": "<p>This person <b>must not</b> work before course of study commenences.</p>"
      }
    ]
  },
  "rapidID": "VEVOxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Status: 200 OK

{
  "request": {
    "given_names": "RYAN LARRY",
    "family_name": "LEWIS"
  },
  "visa": {
    "class": "WC",
    "subclass": "030",
    "grant_date": "2012-01-30",
    "expiry_date": ""
  },
  "entitlement": {
    "status": "NIL",
    "summary": "The visa holder cannot work in Australia.",
    "conditions": []
  },
  "rapidID": "VEVOxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Status: 200 OK

{
  "request": {
    "given_names": "ROBERT CHARLES",
    "family_name": "WILSON"
  },
  "visa": {
    "class": "VC",
    "subclass": "485",
    "grant_date": "2010-12-01",
    "expiry_date": ""
  },
  "entitlement": {
    "status": "UNLIMITED",
    "summary": "The above-named has unlimited right to work in Australia.",
    "conditions": []
  },
  "rapidID": "VEVOxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Status: 200 OK

{
  "request": {
    "given_names": "CHRIS PHILLIP",
    "family_name": "GORDON"
  },
  "visa": {
    "class": "WA",
    "subclass": "010",
    "grant_date": "2010-02-16",
    "expiry_date": ""
  },
  "entitlement": {
    "status": "LIMITED",
    "summary": "This work right check is valid for three months only. The above named can work only under the following conditions in Australia.",
    "conditions": [
      {
        "code": "NGT124",
        "html": "<p>This person <b>must not</b> work at night.</p>"
      }
    ]
  },
  "rapidID": "VEVOxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Status: 200 OK

{
  "status": 400,
  "message": "Missing required field GivenName"
}

Status: 200 OK

{
  "error": 404,
  "message": "Visa was not found for the details specified"
}